# vim:set ft=spec:
%define oname swig
Name: %oname-unstable
Version: 1.3.40
Release: alt1.svn20090809

Summary: Simplified Wrapper and Interface Generator (SWIG)
License: Open Source
Group: Development/C
Url: http://www.swig.org/
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

# svn co https://swig.svn.sourceforge.net/svnroot/swig swig
Source: %oname-%version.tar.gz
Patch1: %oname-1.3.21-alt-configure.patch
Patch5: %oname-1.3.39-swig-user-ruby-1.9-fixes.patch
Patch6: %oname-1.3.39-alt-ruby-includes.patch

Conflicts: %oname
Requires: %name-data = %version-%release

BuildPreReq: python-devel yodl
# Automatically added by buildreq on Thu Sep 04 2008
BuildRequires: findlib gcc-c++ guile18-devel imake java-devel libXt-devel
BuildRequires: liblua5-devel libruby-devel lua5 mono-mcs perl-devel php5-devel
BuildRequires: python-devel ruby ruby-module-etc tcl-devel xorg-cf-files

Provides: %name-devel = %version

%package data
BuildArch: noarch
Summary: Architecture independent files of SWIG
Group: Books/Other
Conflicts: %oname
Requires: %name = %version-%release
Conflicts: %name < %version-%release
Obsoletes: %name < %version-%release

%package doc
BuildArch: noarch
Summary: SWIG documentation
Group: Books/Other
Requires: %name = %version-%release
Conflicts: %oname-doc

%description
SWIG takes an interface description file written in a combination of C/C++
and special directives and produces interfaces to Perl, Python, and Tcl.
It allows scripting languages to use C/C++ code with minimal effort.

%description doc
SWIG takes an interface description file written in a combination of C/C++
and special directives and produces interfaces to Perl, Python, and Tcl.
It allows scripting languages to use C/C++ code with minimal effort.

This package contains SWIG documentation.

%description data
SWIG takes an interface description file written in a combination of C/C++
and special directives and produces interfaces to Perl, Python, and Tcl.
It allows scripting languages to use C/C++ code with minimal effort.

This package contains architecture independent files of SWIG.

%prep
%setup -q
%patch5 -p2
%patch6 -p2

%build
./autogen.sh
sed -i 's|PYLIBDIR="lib"|PYLIBDIR="%_lib"|g' configure
%configure \
	--with-pyinc=%_includedir/python%__python_version \
	--with-pylib=%_libdir/python%__python_version \
	--with-tclconfig=%_libdir

%make
bzip2 -9fk CHANGES TODO

%install
%make_install install  \
	DESTDIR=%buildroot \
	M4_INSTALL_DIR=%buildroot%_datadir/aclocal
install -d %buildroot%_includedir
cp -aL Source/Swig/swig.h Source/DOH/doh.h %buildroot%_includedir/

%define docdir %_docdir/%name-%version
rm -rf %buildroot%docdir
install -d %buildroot%docdir
install -p -m644 ANNOUNCE CHANGES.* LICENSE README TODO.* NEW FUTURE \
	%buildroot%docdir/
cp -a Examples Doc %buildroot%docdir/

%files
%_bindir/*
%_includedir/*
%dir %docdir
%docdir/[A-Z][A-Z]*
%_man1dir/*

%files data
%_datadir/%oname

%files doc
%dir %docdir
%docdir/[A-Z][a-z]*

%changelog
* Wed Aug 12 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.3.40-alt1.svn20090809
- Extracted data files into separate package

* Sun Aug 09 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.3.39-alt1.svn20090809
- New snapshot

* Fri Jul 03 2009 Alexey I. Froloff <raorn@altlinux.org> 1.3.39-alt1
- [1.3.39]

* Tue Nov 25 2008 Gleb Stiblo <ulfr@altlinux.ru> 1.3.36-alt2
- rebuild with php5-devel in buildreq

* Thu Sep 04 2008 Gleb Stiblo <ulfr@altlinux.ru> 1.3.36-alt1
- new version
- fixed build req

* Mon Mar 17 2008 Gleb Stiblo <ulfr@altlinux.ru> 1.3.34-alt1
- new version

* Mon Feb 18 2008 Gleb Stiblo <ulfr@altlinux.ru> 1.3.31-alt2
- Remove python version from build requirements.
  (Thanks to Grigory Batalov <bga@altlinux.ru>)

* Fri Dec 15 2006 Gleb Stiblo <ulfr@altlinux.ru> 1.3.31-alt1
- new version

* Tue May 23 2006 Gleb Stiblo <ulfr@altlinux.ru> 1.3.29-alt1
- new version

* Fri Dec 09 2005 Gleb Stiblo <ulfr@altlinux.ru> 1.3.27-alt1
- new version

* Thu Nov 17 2005 Gleb Stiblo <ulfr@altlinux.ru> 1.3.25-alt2
- x86_64 build bug fixed

* Wed Aug 10 2005 Gleb Stiblo <ulfr@altlinux.ru> 1.3.25-alt1
- new upstream release

* Wed Mar 30 2005 Gleb Stiblo <ulfr@altlinux.ru> 1.3.24-alt2
- gcc3.3 depends fixed

* Thu Jan 06 2005 Gleb Stiblo <ulfr@altlinux.ru> 1.3.24-alt1
- new version
- debian patch for runtime libs

* Sun Aug 22 2004 Dmitry V. Levin <ldv@altlinux.org> 1.3.21-alt6
- Updated build dependencies.
- Packaged docs in separate subpackage.
- Packaged other runtime libraries in separate subpackages,
  resurrected %%post/%%postun scripts.

* Fri Jun 11 2004 Gleb Stiblo <ulfR@altlinux.ru> 1.3.21-alt5
- libswigpy moved to swig-runtime-python

* Thu Jun 10 2004 Gleb Stiblo <ulfR@altlinux.ru> 1.3.21-alt4
- libswigpy.so added for subversion-python

* Fri Jun 04 2004 Gleb Stiblo <ulfr@altlinux.ru> 1.3.21-alt3
- removed runtime libraries
- swig and swing-devel merged

* Thu Jun 03 2004 Gleb Stiblo <ulfr@altlinux.ru> 1.3.21-alt2
- rebuild with new python building scheme

* Wed Jan 14 2004 Alexey Tourbin <at@altlinux.ru> 1.3.21-alt1
- 1.3.21
- built with python23

* Thu Nov 27 2003 Alexey Tourbin <at@altlinux.ru> 1.3.19-alt2
- do not package .la files
- post/postun ldconfig scripts added
- static libraries not packaged by default

* Thu Nov 13 2003 Alexey Tourbin <at@altlinux.ru> 1.3.19-alt1
- updated to 1.3.19

* Thu Oct 17 2002 Rider <rider@altlinux.ru> 1.3.16-alt1
- 1.3.16

* Wed Aug 14 2002 Rider <rider@altlinux.ru> 1.3.14-alt1
- 1.3.14
- specfile cleanup
- BuildRequires fix

* Sat Feb 09 2002 Rider <rider@altlinux.ru> 1.3.11-alt1
- 1.3.11

* Fri Jan 04 2002 Rider <rider@altlinux.ru> 1.3a5-alt1
- 1.3a5

* Sat Jan 13 2001 AEN <aen@logic.ru>
- RE  adaptation
- build with pythin 2.0

* Fri Nov 17 2000 David BAUDENS <baudens@mandrakesoft.com> 1.3a3-2mdk
- Rebuild with gcc-2.96 & glibc-2.2

* Wed Jul 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.3a3-1mdk
- BM.
- Clean up specs.
- 1.3a3.

* Tue Jun 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.1p5-5mdk
- Use makeinstall macros.

* Mon Apr 10 2000 Francis Galiegue <fg@mandrakesoft.com> 1.1p5-4mdk
- Provides: swig

* Mon Apr  3 2000 Pixel <pixel@mandrakesoft.com> 1.1p5-3mdk
- rebuild with new perl
- cleanup

* Wed Mar 22 2000 Francis Galiegue <fg@mandrakesoft.com> 1.1p5-2mdk
- Rebuilt on kenobi
- Don't use prefix

* Fri Mar 10 2000 Francis Galiegue <francis@mandrakesoft.com> 1.1p5-1mdk
- First RPM for Mandrake
